TribeTale API Docs
Content APIPosts

Read a post by slug.

GET
/posts/slug/{slug}/

Authorization

ContentApiKey
key<token>

Content API key passed as the key query parameter.

In: query

Path Parameters

slug*string

Query Parameters

key*string

Content API key.

include?string

Comma-separated includes. Allowed values are tags, authors, tiers, and sentiment.

fields?string

Comma-separated field list.

formats?string

Comma-separated formats. Content API strips mobiledoc and lexical; use html and/or plaintext.

absolute_urls?boolean

Response Body

application/json

curl -X GET "https://example.com/posts/slug/weekly-update/?key=22444f78447824223cefc48062&include=tags%2Cauthors&fields=id%2Ctitle%2Cslug%2Curl&formats=html%2Cplaintext"
{
  "posts": [
    {
      "id": "string",
      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
      "title": "string",
      "slug": "string",
      "html": "string",
      "plaintext": "string",
      "feature_image": "http://example.com",
      "featured": true,
      "type": "post",
      "status": "published",
      "visibility": "string",
      "url": "http://example.com",
      "excerpt": "string",
      "reading_time": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "published_at": "2019-08-24T14:15:22Z",
      "custom_excerpt": "string",
      "tags": [
        {
          "id": "string",
          "name": "string",
          "slug": "string",
          "description": "string",
          "feature_image": "http://example.com",
          "visibility": "public",
          "url": "http://example.com",
          "og_image": "string",
          "og_title": "string",
          "og_description": "string",
          "twitter_image": "string",
          "twitter_title": "string",
          "twitter_description": "string",
          "meta_title": "string",
          "meta_description": "string",
          "accent_color": "string",
          "count": {}
        }
      ],
      "authors": [
        {
          "id": "string",
          "name": "string",
          "slug": "string",
          "profile_image": "http://example.com",
          "cover_image": "http://example.com",
          "bio": "string",
          "website": "http://example.com",
          "location": "string",
          "facebook": "string",
          "twitter": "string",
          "url": "http://example.com",
          "count": {}
        }
      ],
      "primary_tag": {
        "id": "string",
        "name": "string",
        "slug": "string",
        "description": "string",
        "feature_image": "http://example.com",
        "visibility": "public",
        "url": "http://example.com",
        "og_image": "string",
        "og_title": "string",
        "og_description": "string",
        "twitter_image": "string",
        "twitter_title": "string",
        "twitter_description": "string",
        "meta_title": "string",
        "meta_description": "string",
        "accent_color": "string",
        "count": {}
      },
      "primary_author": {
        "id": "string",
        "name": "string",
        "slug": "string",
        "profile_image": "http://example.com",
        "cover_image": "http://example.com",
        "bio": "string",
        "website": "http://example.com",
        "location": "string",
        "facebook": "string",
        "twitter": "string",
        "url": "http://example.com",
        "count": {}
      },
      "tiers": [
        {
          "id": "string",
          "name": "string",
          "description": "string",
          "slug": "string",
          "active": true,
          "type": "free",
          "welcome_page_url": "http://example.com",
          "visibility": "public",
          "benefits": [
            "string"
          ],
          "currency": "string",
          "monthly_price": 0,
          "yearly_price": 0,
          "trial_days": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "access": true,
      "comments": true,
      "og_image": "string",
      "og_title": "string",
      "og_description": "string",
      "twitter_image": "string",
      "twitter_title": "string",
      "twitter_description": "string",
      "meta_title": "string",
      "meta_description": "string",
      "feature_image_alt": "string",
      "feature_image_caption": "string"
    }
  ]
}